%define prerel 0
%define date 20130523

%define qtmajor 5
%define qtminor 4
%define qtsubminor 2

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%if %prerel
%define qttarballdir qtgraphicaleffects-opensource-src-%{qtversion}-RC
%else
%define qttarballdir qtgraphicaleffects-opensource-src-%{qtversion}
%endif

Name: qtgraphicaleffects5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel = %{version}

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt GUI toolkit

%files
%_qt5_datadir/qml/QtGraphicalEffects/

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5

%make
#------------------------------------------------------------------------------

%install
%qmakeinstall_std



%changelog
* Wed Jul 01 2015 filipesaraiva <filipesaraiva> 5.4.2-1.mga5
+ Revision: 849339
- Update to Qt 5.4.2;
- Fix URL to new address qt.io;

* Fri Dec 12 2014 neoclust <neoclust> 5.4.0-1.mga5
+ Revision: 802859
- New version 5.4.0

* Sun Dec 07 2014 neoclust <neoclust> 5.3.2-1.mga5
+ Revision: 801800
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-3.mga5
+ Revision: 751171
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 umeabot <umeabot> 5.3.1-2.mga5
+ Revision: 738090
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 639780
- 5.3.1

* Tue May 20 2014 fwang <fwang> 5.3.0-1.mga5
+ Revision: 624090
- 5.3.0 final

* Fri May 09 2014 fwang <fwang> 5.3.0-0.rc.1.mga5
+ Revision: 621450
- 5.3.0 RC

* Sun Apr 06 2014 fwang <fwang> 5.3.0-0.beta.1.mga5
+ Revision: 612296
- 5.3.0beta

* Mon Mar 03 2014 neoclust <neoclust> 5.3.0-0.alpha.1.mga5
+ Revision: 598795
- New version 5.3.0-alpha

* Sun Feb 09 2014 fwang <fwang> 5.2.1-2.mga5
+ Revision: 586966
- hard force versioned requires

* Thu Feb 06 2014 fwang <fwang> 5.2.1-1.mga5
+ Revision: 584383
- 5.2.1

* Sat Dec 14 2013 fwang <fwang> 5.2.0-2.mga4
+ Revision: 556738
- 5.2.0 final

* Sun Dec 01 2013 fwang <fwang> 5.2.0-1.rc1.1.mga4
+ Revision: 554402
- 5.2.0 rc1

* Sat Oct 26 2013 fwang <fwang> 5.2.0-1.beta1.2.mga4
+ Revision: 547078
- 5.2.0 beta1

* Mon Oct 21 2013 umeabot <umeabot> 5.2.0-1.alpha.2.mga4
+ Revision: 538941
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 5.2.0-1.alpha.1.mga4
+ Revision: 491165
- 5.2.0 alpha1

* Mon May 27 2013 neoclust <neoclust> 5.2.0-0.0.20130523.2.mga4
+ Revision: 428818
- Rebuild against new qt5 libs location

* Sat May 25 2013 neoclust <neoclust> 5.2.0-0.0.20130523.1.mga4
+ Revision: 427044
- New QT 5.2 Snapshot
- New QT 5.2 Snapshot

* Wed Apr 17 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410246
- New version 5.0.2

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 394020
- New version 5.0.1 Final

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392451
- New version 5.0.0 rc1

  + fwang <fwang>
    - use xz

* Sun Jan 13 2013 umeabot <umeabot> 5.0.0-2.mga3
+ Revision: 379992
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 neoclust <neoclust> 5.0.0-1.mga3
+ Revision: 335549
- Qt 5.0.0 Final

* Thu Nov 29 2012 neoclust <neoclust> 5.0.0-0.rc1.1.mga3
+ Revision: 323211
- New rc1 daily snapshot
- New daily rc snapshot

* Sat Nov 17 2012 neoclust <neoclust> 5.0.0-0.beta.16.mga3
+ Revision: 319112
- imported package qtgraphicaleffects5

